## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate cargo_metadata

Name:           rust-cargo_metadata
Version:        0.18.1
Release:        %autorelease
Summary:        Structured access to the output of cargo metadata

License:        MIT
URL:            https://crates.io/crates/cargo_metadata
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Structured access to the output of `cargo metadata`.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+builder-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+builder-devel %{_description}

This package contains library source intended for building other packages which
use the "builder" feature of the "%{crate}" crate.

%files       -n %{name}+builder-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+derive_builder-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+derive_builder-devel %{_description}

This package contains library source intended for building other packages which
use the "derive_builder" feature of the "%{crate}" crate.

%files       -n %{name}+derive_builder-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable" feature of the "%{crate}" crate.

%files       -n %{name}+unstable-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -a

%build
%cargo_build -a

%install
%cargo_install -a

%if %{with check}
%check
# * skip tests that depend on data which is not included in published crates
%cargo_test -a -- -- --skip advanced_feature_configuration --skip all_the_fields --skip basic_workspace_root_package_exists --skip current_dir
%endif

%changelog
* Mon Jan 15 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.18.1-1
- Rebuilt for MSVSphere 9.3

* Wed Oct 18 2023 Fabio Valentini <decathorpe@gmail.com> - 0.18.1-1
- Update to version 0.18.1; Fixes RHBZ#2238338

* Tue Sep 05 2023 Fabio Valentini <decathorpe@gmail.com> - 0.17.0-1
- Update to version 0.17.0; Fixes RHBZ#2225095

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu May 25 2023 Fabio Valentini <decathorpe@gmail.com> - 0.15.4-2
- Bump derive_builder dependency from 0.11.1 to 0.12

* Tue Apr 18 2023 Fabio Valentini <decathorpe@gmail.com> - 0.15.4-1
- Update to version 0.15.4; Fixes RHBZ#2184320

* Fri Feb 03 2023 Fabio Valentini <decathorpe@gmail.com> - 0.15.3-1
- Update to version 0.15.3; Fixes RHBZ#2166114

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Dec 14 2022 Fabio Valentini <decathorpe@gmail.com> - 0.15.2-1
- Update to version 0.15.2; Fixes RHBZ#1833660

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Mar 28 2021 Fabio Valentini <decathorpe@gmail.com> - 0.12.3-1
- Update to version 0.12.3.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Dec 25 12:36:07 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.10.0-1
- Update to 0.10.0

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Dec 15 13:02:18 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.1-1
- Update to 0.9.1

* Wed Jul 31 20:53:08 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.8.1-1
- Release 0.8.1

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Mar 22 2019 Josh Stone <jistone@redhat.com> - 0.7.4-1
- Update to 0.7.4

* Wed Mar 13 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.3-1
- Initial package

